using System;
using System.Collections.Generic;
using System.Text;
using AITSW.VersatileSerializing;

namespace VS_SampleApp
{
    [AttributeUsage(AttributeTargets.Class)]
    public class SampleTitleAttribute : Attribute
    {
        public SampleTitleAttribute(string name)
            : base()
        {
            this.name = name;
        }

        private string name;

        public string Name { get { return this.name; } }
    }

    public abstract class SampleBase
    {
        protected VSFactory Factory = new VSFactory();

        public abstract void Perform();
        public abstract string ReportResult();
    }
}
